Bug 1760474 - Need finalized fedora-release for F31
Summary: Need finalized fedora-release for F31
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fedora-release
Version: rawhide
Hardware: All
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Mohan Boddu
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedBlocker
Depends On:
Blocks: F31FinalBlocker
TreeView+ depends on / blocked
 
Reported: 2019-10-10 15:42 UTC by Adam Williamson
Modified: 2019-10-13 17:55 UTC (History)
14 users (show)

Fixed In Version: fedora-release-31-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-13 17:55:59 UTC


Attachments (Terms of Use)

Description Adam Williamson 2019-10-10 15:42:10 UTC
We need a GA-worthy build of fedora-release for F31, currently it's still pre-release versioned (fedora-release-31-0.11). It needs to be versioned fedora-release-31-1 or higher, and anything else that's usually changed for GA should be done as well of course. Proposing as a Final blocker as the fedora-release EVR is used by the live images to decide whether to display pre-release warnings, so we'll be violating "No notices or alerts about pre-release status may be shown as part of installation or critical path actions on release-blocking desktops." if this is not fixed.

Comment 1 Kamil Páral 2019-10-10 16:21:11 UTC
+1 blocker

Comment 2 Ben Cotton 2019-10-10 17:01:37 UTC
+1 blocker

Comment 3 Mohan Boddu 2019-10-10 17:18:01 UTC
+1 Blocker

https://src.fedoraproject.org/rpms/fedora-release/pull-request/99 should fix this.

Comment 4 Kevin Fenzi 2019-10-10 17:21:52 UTC
+1 blocker

Comment 5 František Zatloukal 2019-10-10 17:42:14 UTC
+1 Blocker

Comment 6 Adam Williamson 2019-10-10 17:54:10 UTC
That's +6, accepting.

Comment 7 Geoffrey Marr 2019-10-10 18:48:12 UTC
FWIW +1 blocker

Comment 8 Fedora Update System 2019-10-11 18:55:33 UTC
FEDORA-2019-1be4cf1f58 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-1be4cf1f58

Comment 9 Fedora Update System 2019-10-13 00:56:26 UTC
fedora-release-31-1, fedora-repos-31-1 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-1be4cf1f58

Comment 10 Fedora Update System 2019-10-13 17:55:59 UTC
fedora-release-31-1, fedora-repos-31-1 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.